QGIS Application - Bug report #3329
Error for postgres's provider when table(statement SELECT ) is outside public's schema
2010-12-13 05:36 PM - Luiz Motta

Status: Closed

Priority: Low

Assignee: Giuseppe Sucameli

Category: Data Provider

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 13389
Description

When used layers outside public's schema has problem where layer is defined with statement SQL.

The problem is message of error, but, the layer is created correct.
Menssage Error:
SQL: declare oidcursor binary cursor for select regclass...

The example of layer:
dbname="postgis' host=localhost port=5432 user="postgres' key='gid' table="(select l.id AS gid, |.the_geom AS the_geom from
gis.t_20101117_101056_limite I)" (the_geom) sql=

When layer are in public's schema is OK.
... from public.tl_20101117_101056_limite |

Associated revisions

Revision de0a1f8a - 2010-12-15 10:59 PM - Giuseppe Sucameli

use both schema and table name retrieving oid, to fix #3329
fixed endian deduction corrupted in r13340

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@14919 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 650d97b0 - 2010-12-15 10:59 PM - Giuseppe Sucameli

use both schema and table name retrieving oid, to fix #3329
fixed endian deduction corrupted in r13340

git-svn-id: http://svn.osgeo.org/qgis/trunk@14919 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-12-14 02:05 AM - Ricardo Silva
- Status changed from Open to In Progress

Hi, I am the author of this plugin. | am aware of this error message. | haven't found its cause yet, but it seems to have no actual effect on the generation of

the layers. I'll keep investigating and report back when | have a fix.
#2 - 2010-12-15 01:45 PM - Giuseppe Sucameli

- Status changed from In Progress to Open

This is a postgres provider's error, not just a plugin one.

#3 - 2010-12-15 01:45 PM - Giuseppe Sucameli

- Status changed from Open to In Progress

#4 - 2010-12-15 02:01 PM - Giuseppe Sucameli
- Resolution set to fixed
- Status changed from In Progress to Closed

Fixed from commit:650d97b0 (SVN r14920)

#5 - 2010-12-15 03:37 PM - Ricardo Silva

Just tested it against the 'custom db query' plugin. It's working great. Thanks a lot!
